## slib 3a3

=== Makefile ===
--- 
+++ 
@@ -16,8 +16,8 @@
 #srcdir=$(HOME)/slib/
 include srcdir.mk
 
-VERSION = 3a2
-RELEASE = 1
+VERSION = 3a3
+RELEASE = 2
 
 rpm_prefix=/usr/src/redhat/
 prefix = /usr/local/
@@ -90,14 +90,14 @@
 revfiles = sc4opt.scm sc4sc3.scm sc2.scm mularg.scm mulapply.scm \
 	trnscrpt.scm withfile.scm dynwind.scm promise.scm \
 	values.scm eval.scm null.scm
-afiles = charplot.scm root.scm cring.scm selfset.scm \
+afiles = charplot.scm root.scm cring.scm selfset.scm limit.scm \
 	 timecore.scm psxtime.scm cltime.scm timezone.scm tzfile.scm
 bfiles = fluidlet.scm object.scm recobj.scm yasyn.scm collect.scm collectx.scm
 scfiles = r4rsyn.scm scmacro.scm synclo.scm synrul.scm synchk.scm \
 	repl.scm macwork.scm mwexpand.scm mwdenote.scm mwsynrul.scm
 scafiles = scainit.scm scaglob.scm scamacr.scm scaoutp.scm scaexpp.scm \
 	structure.scm
-srfiles = srfi-9.scm
+srfiles = srfi-2.scm srfi-8.scm srfi-9.scm srfi-61.scm
 efiles = record.scm dynamic.scm process.scm hash.scm \
 	wttree.scm wttest.scm sierpinski.scm soundex.scm simetrix.scm
 rfiles = rdms.scm alistab.scm paramlst.scm \
@@ -109,28 +109,28 @@
 txiscms =grapheps.scm glob.scm getparam.scm \
 	vet.scm top-refs.scm hashtab.scm chap.scm comparse.scm\
 	alist.scm ratize.scm modular.scm dirs.scm priorque.scm queue.scm\
-	srfi.scm srfi-1.scm srfi-2.scm srfi-8.scm\
+	srfi.scm srfi-1.scm\
 	pnm.scm http-cgi.scm htmlform.scm html4each.scm db2html.scm uri.scm\
 	fft.scm solid.scm random.scm randinex.scm obj2str.scm ncbi-dna.scm\
 	minimize.scm factor.scm determ.scm daylight.scm colornam.scm\
 	mkclrnam.scm color.scm subarray.scm dbutil.scm array.scm transact.scm\
 	arraymap.scm phil-spc.scm lineio.scm differ.scm cvs.scm tree.scm\
 	coerce.scm byte.scm bytenumb.scm matfile.scm tsort.scm manifest.scm\
-	peanosfc.scm
+	peanosfc.scm linterp.scm
 txifiles =grapheps.txi glob.txi getparam.txi\
 	vet.txi top-refs.txi hashtab.txi chap.txi comparse.txi\
 	alist.txi ratize.txi modular.txi dirs.txi priorque.txi queue.txi\
-	srfi.txi srfi-1.txi srfi-2.txi srfi-8.txi\
+	srfi.txi srfi-1.txi\
 	pnm.txi http-cgi.txi htmlform.txi html4each.txi db2html.txi uri.txi\
 	fft.txi solid.txi random.txi randinex.txi obj2str.txi ncbi-dna.txi\
 	minimize.txi factor.txi determ.txi daylight.txi colornam.txi\
 	mkclrnam.txi color.txi subarray.txi dbutil.txi array.txi transact.txi\
 	arraymap.txi phil-spc.txi lineio.txi differ.txi cvs.txi tree.txi\
 	coerce.txi byte.txi bytenumb.txi matfile.txi tsort.txi manifest.txi\
-	peanosfc.txi
+	peanosfc.txi linterp.txi
 % = `echo $(txiscms) | sed 's%.scm%.txi%g'`
 
-texifiles = schmooz.texi indexes.texi object.texi format.texi
+texifiles = schmooz.texi indexes.texi object.texi format.texi limit.texi
 docfiles = ANNOUNCE README COPYING FAQ slib.1 slib.info slib.texi version.txi\
 	 ChangeLog $(texifiles) $(txifiles)
 mkfiles = Makefile require.scm Template.scm syncase.sh mklibcat.scm \
@@ -315,5 +315,3 @@
 	rpmbuild -ba slib.spec	# --clean
 	rm $(rpm_prefix)SOURCES/slib$(VERSION).zip
 	mv $(rpm_prefix)RPMS/noarch/slib-$(VERSION)-$(RELEASE).noarch.rpm \
-	   $(rpm_prefix)SRPMS/slib-$(VERSION)-$(RELEASE).src.rpm $(dest)
-
