=== debian/changelog ===
slib (3b1-3.1) unstable; urgency=low

  [ Jari Aalto ]
  * Non-maintainer upload.
    - Move to packaging format "3.0 (quilt)".
  * debian/compat
    - Update to 7.
  * debian/control
    - (Build-Depends-Indep): Update to debhelper 7.1.
    - (Depends): add ${misc:Depends}.
    - (Homepage): New field.
    - (Standards-Version): update to 3.8.4.
    + slib
      - (Depends): add ${misc:Depends}, install-info.
      - (Priority): remove inherited field.
      - (Section): remove inherited field.
  * debian/copyright
    - Update "more information" URL.
  * debian/doc-base
    - (Section): Remove obsolete top-level "Apps/".
  * debian/prerm
    - Remove path component from commands.
    - Remove obsolete install-docs, install-info commands.
  * debian/postinst
    - Remove obsolete install-docs, install-info commands.
    - Remove path component from commands.
  * debian/source/format
    - New file.
  * debian/watch
    - New file.

  [ Hideki Yamane (Debian-JP) <henrich@debian.or.jp> ]
  * debian/rules
    - (build): Rewrite make calls.
    - (binary-indep:): install *.html not slib/*.html to fix. It is
      useless to specify htmllib (FTBFS; Closes: #552911).

 -- Jari Aalto <jari.aalto@cante.net>  Wed, 05 May 2010 03:13:42 +0300

slib (3b1-3) unstable; urgency=low

  * slib.sh: Specify #!/bin/bash.  (Closes: #465359)

  * slib.1: Put title *before* section in TH directive.

  * debian/rules (binary-indep): Call dh_md5sums toward the end.
  * debian/control (Build-Depends-Indep): Require debhelper version 5.
  * debian/compat: New file (level 5).

 -- Thomas Bushnell, BSG <tb@debian.org>  Sun, 24 Feb 2008 19:19:32 -0500

slib (3b1-2) unstable; urgency=low

  * guile.init (implementation-vicinity): Repeat change from 3a5-2.
    (Closes: #464143)

 -- Thomas Bushnell, BSG <tb@debian.org>  Thu, 07 Feb 2008 13:19:02 -0500

slib (3b1-1) unstable; urgency=low

  * New upstream release.
  * guile.init (library-vicinity): Repeat change from 3a4-2.
  * slib.texi (Library Catalogs): Repeat change from 3a3-3.
  * slib.sh: Repeat change from 3a5-3.
  * slib.1: Repeat change from 3a5-4.
  * Makefile: Repeat change from 3a2-1.

 -- Thomas Bushnell, BSG <tb@debian.org>  Mon, 04 Feb 2008 20:29:13 -0500

slib (3a5-4) unstable; urgency=low

  * slib.1 (.TH): Put in section number.
  * debian/rules (binary-indep): Install slib.1 documentation.

 -- Thomas Bushnell, BSG <tb@debian.org>  Mon, 21 Jan 2008 15:02:11 -0500

slib (3a5-3) unstable; urgency=low

  * debian/rules (binary-arch): Don't do anything here.  Fixes lintian
    warning binary-arch-rules-but-pkg-is-arch-indep.

  * debian/control (Standards-Version): Update to 3.7.3.  No changes needed.

  * slib.sh: Specify #!/bin/sh.

  * debian/slib.lintian-overrides: New file.  Don't complain about the
    usr/share/slib/init symlink.
  * debian/rules (binary-indep): Install slib.lintian-overrides as
    usr/share/lintian/overrides/slib in the final package.

 -- Thomas Bushnell, BSG <tb@debian.org>  Mon, 14 Jan 2008 16:41:39 -0500

slib (3a5-2) unstable; urgency=low

  * debian/rules (binary-indep): init subdir symlink should point to ".",
    not "..".  (Closes: #458172).

  * debian/preinst: New file.  Delete /usr/share/slib/init if it's a directory.
  * debian/rules (binary-indep): Install preinst into the right place.
    (Closes: #458181).

  * guile.init: Use old method of finding implementation-vicinity.

 -- Thomas Bushnell, BSG <tb@debian.org>  Sat, 29 Dec 2007 10:18:27 -0800

slib (3a5-1) unstable; urgency=low

  * New upstream release.

  * slib.texi (Library Catalogs): Repeat change from 3a3-3.

  * Makefile: Repeat $(htmldir)slib_toc.html changes from 3a2-1.

  * guile.init: (library-vicinity): Repeat change from 3a4-2.

  * debian/rules (binary-indep): Don't hide .init files in a separate
    subdirectory, thus conforming better to the usual slib practice.  Put a
    symlink in place to ease transitions.  (Closes: #407370).

 -- Thomas Bushnell, BSG <tb@debian.org>  Fri, 28 Dec 2007 16:25:32 -0800

slib (3a4-4) unstable; urgency=medium

  * Medium urgency because this fixes a release critical bug.

  * require.scm: Revert change from 3a4-2.
  * debian/control (slib): Conflict with scm (<< 5e3).  (Closes: #397529)

 -- Thomas Bushnell, BSG <tb@debian.org>  Wed,  8 Nov 2006 00:06:50 -0800

slib (3a4-3) unstable; urgency=high

  * slib.texi: Alter copyright notice to specify that there are no
    back cover or front cover texts, with permission of upstream copyright
    owner (Aubrey Jaffer) in accord with his new distribution zip archive.

 -- Thomas Bushnell, BSG <tb@debian.org>  Wed,  1 Nov 2006 21:54:30 -0800

slib (3a4-2) unstable; urgency=low

  * guile.init (library-vicinity): Set default location of slib to
    /usr/share/slib instead of /usr/lib/slib.
  * RScheme.init (library-vicinity): Likewise.

  * require.scm: Work around the fact that scm versions < 5e3 set
    *features* but not slib:features.

 -- Thomas Bushnell, BSG <tb@debian.org>  Tue, 24 Oct 2006 17:45:55 -0700

slib (3a4-1) unstable; urgency=low

  * New upstream release.

  * slib.texi (Library Catalogs): Repeat change from 3a3-3.

  * Makefile: Repeat $(htmldir)slib_toc.html changes from 3a2-1.

 -- Thomas Bushnell, BSG <tb@debian.org>  Mon, 23 Oct 2006 23:55:08 -0700

slib (3a3-4) unstable; urgency=low

  * debian/control (Standards-Version): Update to 3.7.2.

  * debian/copyright: Fix spelling error.

 -- Thomas Bushnell, BSG <tb@debian.org>  Tue,  3 Oct 2006 00:38:06 -0700

slib (3a3-3) unstable; urgency=low

  * slib.texi (Library Catalogs): Mention that a suffix (such as ".scm")
    may be appended to the filename on some systems.  (Closes: #147477)

  * postinst, prerm: Just know that install-docs is in /usr/sbin.
    (Closes: #293047)

  * debian/rules (binary-indep): Install slib.sh as /usr/bin/slib program.
    (Closes: #301437)

  * getopt.scm (*argv*): Comment out declaration.  (Closes: #248781)


