=== debian/control ===
Source: slib
Section: devel
Priority: optional
Maintainer: Thomas Bushnell, BSG <tb@debian.org>
Build-Depends-Indep: scm, texi2html, texinfo, debhelper (>= 7.1)
Standards-Version: 3.8.4
Homepage: http://people.csail.mit.edu/jaffer/SLIB.html

Package: slib
Architecture: all
Depends: ${misc:Depends}, dpkg (>= 1.15.4) | install-info
Conflicts: libguile9 (<= 1:1.4-26), guile-1.6-libs (<= 1.6.7-1.1), scm (<< 5e3)
Description: Portable Scheme library
 SLIB is a portable scheme library meant to provide compatibility and
 utility functions for all standard scheme implementations.  SLIB
 includes initialization files for Chez, ELK 2.1, GAMBIT, MacScheme,
 MITScheme, scheme->C, Scheme48, T3.1, and VSCM.  SCM also supports
 SLIB.
