=== debian/rules ===
#! /usr/bin/make -f
# -*-Makefile-*-

SCHEME_LIBRARY_PATH=./
export SCHEME_LIBRARY_PATH

CC =gcc
CFLAGS =-O2 -g -Wall
LDFLAGS =

SHELL =/bin/sh
srcdir =.

INSTALL =/usr/bin/install
INSTALL_DIR =$(INSTALL) -d -m 755 -o root -g root
INSTALL_PROGRAM =$(INSTALL) -m 755 -o root -g root
INSTALL_DATA =$(INSTALL) -m 644 -o root -g root
INSTALL_MAN =$(INSTALL) -m 444 -o root -g root

TEXI2HTML = texi2html --split chapter --verbose

build:
	$(checkdir)
	# Run the "default target", whatever it be
	$(MAKE) TEXI2HTML="$(TEXI2HTML)"
	# Then run target "html"
	$(MAKE) TEXI2HTML="$(TEXI2HTML)" html
	touch build

clean:
	$(checkdir)
	-rm slib.info*
	make clean
	-rm -f build
	-rm -rf debian/tmp* *~ debian/*~ debian/files debian/substvars
	-rm -f srcdir.mk
	-rm -f slib*.info
	-rm -f version.txi
	-rm -rf slib*.html
	-rm -rf $(htmldir)
	-rm -f .slibcat

binary-arch: checkroot
#	$(checkdir)

binary-indep: checkroot build
	$(checkdir)
	-rm -rf debian/tmp*

# debian/tmp
	$(INSTALL_DIR) debian/tmp
	$(INSTALL_DIR) debian/tmp/DEBIAN
	$(INSTALL_PROGRAM) debian/postinst debian/tmp/DEBIAN
	$(INSTALL_PROGRAM) debian/prerm debian/tmp/DEBIAN
	$(INSTALL_PROGRAM) debian/preinst debian/tmp/DEBIAN

# library
	$(INSTALL_DIR) debian/tmp/usr/share/slib
	$(INSTALL_DATA) *.scm debian/tmp/usr/share/slib
	# this fixes a load problem with guile
	( cd debian/tmp/usr/share/slib ; ln -s mklibcat.scm mklibcat )

# documentation
	$(INSTALL_DIR) debian/tmp/usr/share/doc/slib
	$(INSTALL_DATA) debian/copyright debian/tmp/usr/share/doc/slib
	$(INSTALL_DATA) debian/changelog \
	  debian/tmp/usr/share/doc/slib/changelog.Debian
	gzip -9v debian/tmp/usr/share/doc/slib/changelog.Debian

	$(INSTALL_DATA) ChangeLog debian/tmp/usr/share/doc/slib/changelog
	gzip -9v debian/tmp/usr/share/doc/slib/changelog
	$(INSTALL_DATA) README debian/tmp/usr/share/doc/slib
	gzip -9v debian/tmp/usr/share/doc/slib/README
	$(INSTALL_DATA) FAQ debian/tmp/usr/share/doc/slib
	gzip -9v debian/tmp/usr/share/doc/slib/FAQ
	$(INSTALL_DATA) *.html debian/tmp/usr/share/doc/slib

	ln -s . debian/tmp/usr/share/slib/init
	$(INSTALL_DATA) *.init debian/tmp/usr/share/slib

	$(INSTALL_DIR) debian/tmp/usr/share/doc-base
	$(INSTALL_DATA) debian/doc-base debian/tmp/usr/share/doc-base/slib

	$(INSTALL_DIR) debian/tmp/usr/share/man/man1
	$(INSTALL_DATA) slib.1 debian/tmp/usr/share/man/man1/slib.1
	gzip -9v debian/tmp/usr/share/man/man1/slib.1

# info pages
	$(INSTALL_DIR) debian/tmp/usr/share/info
	$(INSTALL_DATA) slib.info* debian/tmp/usr/share/info
	gzip -9v debian/tmp/usr/share/info/*

# slibconfig

#	$(INSTALL_DIR) debian/tmp/usr/sbin
#	$(INSTALL_PROGRAM) debian/slibconfig debian/tmp/usr/sbin

# program
	$(INSTALL_DIR) debian/tmp/usr/bin
	$(INSTALL_PROGRAM) slib.sh debian/tmp/usr/bin/slib 

# lintian
	$(INSTALL_DIR) debian/tmp/usr/share/lintian/overrides
	$(INSTALL_DATA) debian/slib.lintian-overrides debian/tmp/usr/share/lintian/overrides/slib

	dh_md5sums
	dpkg-gencontrol -is -ip
	dpkg --build debian/tmp ..

define checkdir
	test -f slib.texi -a -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: config build clean binary binary-arch binary-indep
