=== debian/watch ===
version=3
http://people.csail.mit.edu/jaffer/SLIB.html .*slib-([\d.]+.*)\.zip
